Add quotes

- « Session::listClients

- Session::releaseSavepoint »

- PHP Manual
- mysql_xdevapi\Session
- Add quotes

# Session::quoteName

(No version information available, might only be in Git)

Session::quoteName — Add quotes

### Description

public mysql_xdevapi\Session::quoteName(string `$name`): string

A quoting function to escape SQL names and identifiers. It escapes the identifier given in accordance to the settings of the current connection. This escape function should not be used to escape values.

### Parameters

`name`

  The string to quote.

### Return Values

The quoted string.

### Examples

Example #1 mysql_xdevapi\Session::quoteName() example

    <?php
    $session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");

    $first = "MySQL's test";
    var_dump($first);
    var_dump($session->quoteName($first));

    $second = 'Another `test` "like" `this`';
    var_dump($second);
    var_dump($session->quoteName($second));
    ?>

The above example will output something similar to:

    string(12) "MySQL's test"
    string(14) "`MySQL's test`"

    string(28) "Another `test` "like" `this`"
    string(34) "`Another ``test`` "like" ``this```"